Skip to content
GitHub

The organization's vulnerability exceptions in force (or all).

GET
/api/v1/vulnerability-exceptions
curl --request GET \
--url https://example.com/api/v1/vulnerability-exceptions
all
boolean

Include expired and revoked exceptions.

Media typeapplication/json
Array<object>
object
id
required
string format: uuid
vulnerability
required
string
project
string | null format: uuid
reason
required
string
owner
required
string
createdBy
required
string
createdAt
required
string
expiresAt
required
string
revokedAt
string | null
active
required

In force now.

boolean
Examplegenerated
[
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"vulnerability": "example",
"project": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"reason": "example",
"owner": "example",
"createdBy": "example",
"createdAt": "example",
"expiresAt": "example",
"revokedAt": "example",
"active": true
}
]
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}